Bug 131500 - "null:" is displayed for returned synchronous message
"null:" is displayed for returned synchronous message
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Diagram Sequence
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Sergey Petrov
issues@uml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 00:08 UTC by Peter Lam
Modified: 2008-05-01 23:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
null on message (8.35 KB, image/png)
2008-03-29 00:09 UTC, Peter Lam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Lam 2008-03-29 00:08:46 UTC
Build 20080327

- create a sequence diagram
- create a couple of lifelines on the diagram
- create a synchronous message between the 2 lifelines
- right click on the diagram and select Show Message Numbers
- right click on the returned synch message and select Labels->Link Name
Result: "null:" is displayed instead of "Unnamed"
- change "null:" to a different text and press Enter
Result: "null: <newname>" is displayed.
See attached screenshot
Comment 1 Peter Lam 2008-03-29 00:09:20 UTC
Created attachment 59329 [details]
null on message
Comment 2 Sergey Petrov 2008-04-02 21:01:46 UTC
changeset 71281	418799e14b25
parent 71277	56b25198faef
child 71282	541a19398047
Comment 3 Peter Lam 2008-05-01 23:37:22 UTC
verified in build 20080430


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo